## org.apache.catalina.ssi
Class SSIServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.catalina.ssi.SSIServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class SSIServlet
extends javax.servlet.http.HttpServlet

Servlet to process SSI requests within a webpage. Mapped to a path from within web.xml.

Version:
  $Revision: 1.3 $, $Date: 2004/08/26 21:40:03 $
Author:
  Bip Thelin, Amy Roh, Dan Sandberg
See Also:
  Serialized Form

Field Summary
`protected boolean` `buffered` Should the output be buffered.
`protected int` `debug` Debug level for this servlet.
`protected java.lang.Long` `expires` Expiration time in seconds for the doc.
`protected boolean` `isVirtualWebappRelative` virtual path can be webapp-relative

Constructor Summary
`SSIServlet()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process and forward the GET request to our `requestHandler()` *
`void` `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process and forward the POST request to our `requestHandler()`.
`void` `init()` Initialize this servlet.
`protected void` `processSSI(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, java.net.URL resource)`
`protected void` `requestHandler(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process our request and locate right SSI command.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected int debug

  Debug level for this servlet.

### buffered

    protected boolean buffered

  Should the output be buffered.

### expires

    protected java.lang.Long expires

  Expiration time in seconds for the doc.

### isVirtualWebappRelative

    protected boolean isVirtualWebappRelative

  virtual path can be webapp-relative

Constructor Detail

### SSIServlet

    public SSIServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize this servlet.

  Throws:
    `javax.servlet.ServletException` - if an error occurs

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Process and forward the GET request to our `requestHandler()` *

  Parameters:
    `req` - a value of type 'HttpServletRequest'
    `res` - a value of type 'HttpServletResponse'
  Throws:
    `java.io.IOException` - if an error occurs
    `javax.servlet.ServletException` - if an error occurs

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Process and forward the POST request to our `requestHandler()`.

  Parameters:
    `req` - a value of type 'HttpServletRequest'
    `res` - a value of type 'HttpServletResponse'
  Throws:
    `java.io.IOException` - if an error occurs
    `javax.servlet.ServletException` - if an error occurs

### requestHandler

    protected void requestHandler(javax.servlet.http.HttpServletRequest req,
                                  javax.servlet.http.HttpServletResponse res)
                           throws java.io.IOException,
                                  javax.servlet.ServletException

  Process our request and locate right SSI command.

  Parameters:
    `req` - a value of type 'HttpServletRequest'
    `res` - a value of type 'HttpServletResponse'
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### processSSI

    protected void processSSI(javax.servlet.http.HttpServletRequest req,
                              javax.servlet.http.HttpServletResponse res,
                              java.net.URL resource)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.